Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.sonar
[Groovy] Class Sonar

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.plugins.sonar.Sonar

    class Sonar
    extends org.gradle.api.internal.ConventionTask

Analyzes a project and stores the results in Sonar's database.

Field Summary

Fields inherited from class org.gradle.api.internal.ConventionTask
TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION

Fields inherited from class DefaultTask
TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION

Fields inherited from class org.gradle.api.internal.AbstractTask
TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION

Property Summary
`java.io.File` | `bootstrapDir` The directory to be used for caching files downloaded from the Sonar server.
`java.io.File` | `buildDir` The build output directory for the project to be analyzed.
`java.util.Map` | `globalProperties` Global properties for use by the Sonar code analyzer.
`java.util.Set` | `projectClassesDirs` The directories containing the class files of the project to be analyzed.
`java.util.Set` | `projectDependencies` The dependencies of the project to be analyzed.
`java.lang.String` | `projectDescription` The description of the project to be analyzed.
`java.io.File` | `projectDir` The base directory for the project to be analyzed.
`java.lang.String` | `projectKey` A unique key for identifying the project to be analyzed.
`java.util.Set` | `projectMainSourceDirs` The directories containing the production sources of the project to be analyzed.
`java.lang.String` | `projectName` The name of the project to be analyzed.
`java.util.Map` | `projectProperties` Project-specific properties for use by the Sonar code analyzer.
`java.util.Set` | `projectTestSourceDirs` The directories containing the test sources of the project to be analyzed.
`java.lang.String` | `projectVersion` The version of the project to be analyzed.
`java.lang.String` | `serverUrl` The Sonar server to connect to.

Method Summary
`void` | `execute()`
`protected java.net.URL` | `findGradleSonarJar()`
`void` | `globalProperties(java.util.Map properties)` Adds the specified properties to the map of global properties.
`void` | `globalProperty(java.lang.String name, java.lang.String value)` Adds the specified property to the map of global properties.
`void` | `projectClassesDir(java.io.File classesDir)` Adds the specified directory to the set of project classes directories.
`void` | `projectClassesDirs(java.io.File classesDirs)` Adds the specified directories to the set of project classes directories.
`void` | `projectDependencies(java.io.File dependencies)` Adds the specified dependencies to the set of project dependencies.
`void` | `projectDependency(java.io.File dependency)` Adds the specified dependency to the set of project dependencies.
`void` | `projectMainSourceDir(java.io.File sourceDir)` Adds the specified directory to the set of project main source directories.
`void` | `projectMainSourceDirs(java.io.File sourceDirs)` Adds the specified directories to the set of project main source directories.
`void` | `projectProperties(java.util.Map properties)` Adds the specified properties to the map of project properties.
`void` | `projectProperty(java.lang.String name, java.lang.String value)` Adds the specified property to the map of project properties.
`void` | `projectTestSourceDir(java.io.File sourceDir)` Adds the specified directory to the set of project test source directories.
`void` | `projectTestSourceDirs(java.io.File sourceDirs)` Adds the specified directories to the set of project test source directories.

Methods inherited from class org.gradle.api.internal.ConventionTask
org.gradle.api.internal.ConventionTask#conventionMapping(java.lang.String, org.gradle.api.tasks.ConventionValue), org.gradle.api.internal.ConventionTask#getConventionMapping(), org.gradle.api.internal.ConventionTask#setConventionMapping(org.gradle.api.internal.ConventionMapping), org.gradle.api.internal.ConventionTask#setProperty(java.lang.String, java.lang.Object), org.gradle.api.internal.ConventionTask#toString(), org.gradle.api.internal.ConventionTask#compareTo(org.gradle.api.Task), org.gradle.api.internal.ConventionTask#compareTo(java.lang.Object), org.gradle.api.internal.ConventionTask#getName(), org.gradle.api.internal.ConventionTask#getActions(), org.gradle.api.internal.ConventionTask#getState(), org.gradle.api.internal.ConventionTask#setName(java.lang.String), org.gradle.api.internal.ConventionTask#getPath(), org.gradle.api.internal.ConventionTask#getLogger(), org.gradle.api.internal.ConventionTask#execute(), org.gradle.api.internal.ConventionTask#isEnabled(), org.gradle.api.internal.ConventionTask#configure(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#configure(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#property(java.lang.String), org.gradle.api.internal.ConventionTask#getDescription(), org.gradle.api.internal.ConventionTask#captureStandardOutput(org.gradle.api.logging.LogLevel), org.gradle.api.internal.ConventionTask#disableStandardOutputCapture(), org.gradle.api.internal.ConventionTask#setEnabled(boolean), org.gradle.api.internal.ConventionTask#setDescription(java.lang.String), org.gradle.api.internal.ConventionTask#getProject(), org.gradle.api.internal.ConventionTask#getGroup(), org.gradle.api.internal.ConventionTask#setGroup(java.lang.String), org.gradle.api.internal.ConventionTask#dependsOn([Ljava.lang.Object;), org.gradle.api.internal.ConventionTask#getAnt(), org.gradle.api.internal.ConventionTask#getConvention(), org.gradle.api.internal.ConventionTask#hasProperty(java.lang.String), org.gradle.api.internal.ConventionTask#getLogging(), org.gradle.api.internal.ConventionTask#setActions(java.util.List), org.gradle.api.internal.ConventionTask#getTaskDependencies(), org.gradle.api.internal.ConventionTask#getTaskDependencies(), org.gradle.api.internal.ConventionTask#getDependsOn(), org.gradle.api.internal.ConventionTask#setDependsOn(java.lang.Iterable), org.gradle.api.internal.ConventionTask#onlyIf(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#onlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.ConventionTask#setOnlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.ConventionTask#setOnlyIf(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#setDidWork(boolean), org.gradle.api.internal.ConventionTask#getDidWork(), org.gradle.api.internal.ConventionTask#doFirst(org.gradle.api.Action), org.gradle.api.internal.ConventionTask#doFirst(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#doLast(org.gradle.api.Action), org.gradle.api.internal.ConventionTask#doLast(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#leftShift(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#deleteAllActions(), org.gradle.api.internal.ConventionTask#getEnabled(), org.gradle.api.internal.ConventionTask#dependsOnTaskDidWork(), org.gradle.api.internal.ConventionTask#getInputs(), org.gradle.api.internal.ConventionTask#getOutputs(), org.gradle.api.internal.ConventionTask#getOutputs(), org.gradle.api.internal.ConventionTask#getTemporaryDir(), org.gradle.api.internal.ConventionTask#setProject(org.gradle.api.Project), org.gradle.api.internal.ConventionTask#getStandardOutputCapture(), org.gradle.api.internal.ConventionTask#getAdditionalProperties(), org.gradle.api.internal.ConventionTask#getDynamicObjectHelper(), org.gradle.api.internal.ConventionTask#setConvention(org.gradle.api.plugins.Convention), org.gradle.api.internal.ConventionTask#getAsDynamicObject(), org.gradle.api.internal.ConventionTask#addValidator(org.gradle.api.internal.tasks.execution.TaskValidator), org.gradle.api.internal.ConventionTask#getValidators(), org.gradle.api.internal.ConventionTask#getExecuter(), org.gradle.api.internal.ConventionTask#setExecuter(org.gradle.api.internal.tasks.TaskExecuter), org.gradle.api.internal.ConventionTask#getOnlyIf(), org.gradle.api.internal.ConventionTask#injectIntoNewInstance(org.gradle.api.internal.project.ProjectInternal, java.lang.String, java.util.concurrent.Callable), org.gradle.api.internal.ConventionTask#wait(long), org.gradle.api.internal.ConventionTask#wait(long, int), org.gradle.api.internal.ConventionTask#wait(), org.gradle.api.internal.ConventionTask#equals(java.lang.Object), org.gradle.api.internal.ConventionTask#hashCode(), org.gradle.api.internal.ConventionTask#getClass(), org.gradle.api.internal.ConventionTask#notify(), org.gradle.api.internal.ConventionTask#notifyAll()

Methods inherited from class DefaultTask
setProperty, toString, compareTo, compareTo, getName, getActions, getState, setName, getPath, getLogger, execute, isEnabled, configure, configure, property, getDescription, captureStandardOutput, disableStandardOutputCapture, setEnabled, setDescription, getProject, getGroup, setGroup, dependsOn, getAnt, getConvention, hasProperty, getLogging, setActions, getTaskDependencies, getTaskDependencies, getDependsOn, setDependsOn, onlyIf, onlyIf, setOnlyIf, setOnlyIf, setDidWork, getDidWork, doFirst, doFirst, doLast, doLast, leftShift, deleteAllActions, getEnabled, dependsOnTaskDidWork, getInputs, getOutputs, getOutputs, getTemporaryDir, setProject, getStandardOutputCapture, getAdditionalProperties, getDynamicObjectHelper, setConvention, getAsDynamicObject, addValidator, getValidators, getExecuter, setExecuter, getOnlyIf, injectIntoNewInstance, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class org.gradle.api.internal.AbstractTask
org.gradle.api.internal.AbstractTask#setProperty(java.lang.String, java.lang.Object), org.gradle.api.internal.AbstractTask#toString(), org.gradle.api.internal.AbstractTask#compareTo(org.gradle.api.Task), org.gradle.api.internal.AbstractTask#compareTo(java.lang.Object), org.gradle.api.internal.AbstractTask#getName(), org.gradle.api.internal.AbstractTask#getActions(), org.gradle.api.internal.AbstractTask#getState(), org.gradle.api.internal.AbstractTask#setName(java.lang.String), org.gradle.api.internal.AbstractTask#getPath(), org.gradle.api.internal.AbstractTask#getLogger(), org.gradle.api.internal.AbstractTask#execute(), org.gradle.api.internal.AbstractTask#isEnabled(), org.gradle.api.internal.AbstractTask#configure(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#configure(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#property(java.lang.String), org.gradle.api.internal.AbstractTask#getDescription(), org.gradle.api.internal.AbstractTask#captureStandardOutput(org.gradle.api.logging.LogLevel), org.gradle.api.internal.AbstractTask#disableStandardOutputCapture(), org.gradle.api.internal.AbstractTask#setEnabled(boolean), org.gradle.api.internal.AbstractTask#setDescription(java.lang.String), org.gradle.api.internal.AbstractTask#getProject(), org.gradle.api.internal.AbstractTask#getGroup(), org.gradle.api.internal.AbstractTask#setGroup(java.lang.String), org.gradle.api.internal.AbstractTask#dependsOn([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#getAnt(), org.gradle.api.internal.AbstractTask#getConvention(), org.gradle.api.internal.AbstractTask#hasProperty(java.lang.String), org.gradle.api.internal.AbstractTask#getLogging(), org.gradle.api.internal.AbstractTask#setActions(java.util.List), org.gradle.api.internal.AbstractTask#getTaskDependencies(), org.gradle.api.internal.AbstractTask#getTaskDependencies(), org.gradle.api.internal.AbstractTask#getDependsOn(), org.gradle.api.internal.AbstractTask#setDependsOn(java.lang.Iterable), org.gradle.api.internal.AbstractTask#onlyIf(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#onlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.AbstractTask#setOnlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.AbstractTask#setOnlyIf(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#setDidWork(boolean), org.gradle.api.internal.AbstractTask#getDidWork(), org.gradle.api.internal.AbstractTask#doFirst(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#doFirst(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#doLast(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#doLast(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#leftShift(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#deleteAllActions(), org.gradle.api.internal.AbstractTask#getEnabled(), org.gradle.api.internal.AbstractTask#dependsOnTaskDidWork(), org.gradle.api.internal.AbstractTask#getInputs(), org.gradle.api.internal.AbstractTask#getOutputs(), org.gradle.api.internal.AbstractTask#getOutputs(), org.gradle.api.internal.AbstractTask#getTemporaryDir(), org.gradle.api.internal.AbstractTask#setProject(org.gradle.api.Project), org.gradle.api.internal.AbstractTask#getStandardOutputCapture(), org.gradle.api.internal.AbstractTask#getAdditionalProperties(), org.gradle.api.internal.AbstractTask#getDynamicObjectHelper(), org.gradle.api.internal.AbstractTask#setConvention(org.gradle.api.plugins.Convention), org.gradle.api.internal.AbstractTask#getAsDynamicObject(), org.gradle.api.internal.AbstractTask#addValidator(org.gradle.api.internal.tasks.execution.TaskValidator), org.gradle.api.internal.AbstractTask#getValidators(), org.gradle.api.internal.AbstractTask#getExecuter(), org.gradle.api.internal.AbstractTask#setExecuter(org.gradle.api.internal.tasks.TaskExecuter), org.gradle.api.internal.AbstractTask#getOnlyIf(), org.gradle.api.internal.AbstractTask#injectIntoNewInstance(org.gradle.api.internal.project.ProjectInternal, java.lang.String, java.util.concurrent.Callable), org.gradle.api.internal.AbstractTask#wait(long), org.gradle.api.internal.AbstractTask#wait(long, int), org.gradle.api.internal.AbstractTask#wait(), org.gradle.api.internal.AbstractTask#equals(java.lang.Object), org.gradle.api.internal.AbstractTask#hashCode(), org.gradle.api.internal.AbstractTask#getClass(), org.gradle.api.internal.AbstractTask#notify(), org.gradle.api.internal.AbstractTask#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### bootstrapDir

    java.io.File bootstrapDir

  The directory to be used for caching files downloaded from the Sonar server.

### buildDir

    java.io.File buildDir

  The build output directory for the project to be analyzed.

### globalProperties

    java.util.Map globalProperties

  Global properties for use by the Sonar code analyzer.

### projectClassesDirs

    java.util.Set projectClassesDirs

  The directories containing the class files of the project to be analyzed.

### projectDependencies

    java.util.Set projectDependencies

  The dependencies of the project to be analyzed. Typically these will be Jar files.

### projectDescription

    java.lang.String projectDescription

  The description of the project to be analyzed.

### projectDir

    java.io.File projectDir

  The base directory for the project to be analyzed.

### projectKey

    java.lang.String projectKey

  A unique key for identifying the project to be analyzed.

### projectMainSourceDirs

    java.util.Set projectMainSourceDirs

  The directories containing the production sources of the project to be analyzed.

### projectName

    java.lang.String projectName

  The name of the project to be analyzed.

### projectProperties

    java.util.Map projectProperties

  Project-specific properties for use by the Sonar code analyzer.

### projectTestSourceDirs

    java.util.Set projectTestSourceDirs

  The directories containing the test sources of the project to be analyzed.

### projectVersion

    java.lang.String projectVersion

  The version of the project to be analyzed.

### serverUrl

    java.lang.String serverUrl

  The Sonar server to connect to.

Method Detail

### execute

    @TaskAction
    void execute()

### findGradleSonarJar

    protected java.net.URL findGradleSonarJar()

### globalProperties

    void globalProperties(java.util.Map properties)

  Adds the specified properties to the map of global properties. Existing properties with the same name will be overwritten.
  Parameters:
    `properties` - the global properties to be added

### globalProperty

    void globalProperty(java.lang.String name, java.lang.String value)

  Adds the specified property to the map of global properties. If a property with the specified name already exists, it will be overwritten.
  Parameters:
    `name` - the name of the global property
    `value` - the value of the global property

### projectClassesDir

    void projectClassesDir(java.io.File classesDir)

  Adds the specified directory to the set of project classes directories.
  Parameters:
    `classesDir` - the classes directory to be added

### projectClassesDirs

    void projectClassesDirs(java.io.File classesDirs)

  Adds the specified directories to the set of project classes directories.
  Parameters:
    `classesDirs` - the classes directories to be added

### projectDependencies

    void projectDependencies(java.io.File dependencies)

  Adds the specified dependencies to the set of project dependencies. Typically these will be Jar files.
  Parameters:
    `dependencies` - the dependencies to be added

### projectDependency

    void projectDependency(java.io.File dependency)

  Adds the specified dependency to the set of project dependencies. Typically this will be a Jar file.
  Parameters:
    `dependency` - the depedency to be added

### projectMainSourceDir

    void projectMainSourceDir(java.io.File sourceDir)

  Adds the specified directory to the set of project main source directories.
  Parameters:
    `sourceDirs` - the main source directory to be added

### projectMainSourceDirs

    void projectMainSourceDirs(java.io.File sourceDirs)

  Adds the specified directories to the set of project main source directories.
  Parameters:
    `sourceDirs` - the main source directories to be added

### projectProperties

    void projectProperties(java.util.Map properties)

  Adds the specified properties to the map of project properties. Existing properties with the same name will be overwritten.
  Parameters:
    `properties` - the project properties to be added

### projectProperty

    void projectProperty(java.lang.String name, java.lang.String value)

  Adds the specified property to the map of project properties. If a property with the specified name already exists, it will be overwritten.
  Parameters:
    `name` - the name of the project property
    `value` - the value of the project property

### projectTestSourceDir

    void projectTestSourceDir(java.io.File sourceDir)

  Adds the specified directory to the set of project test source directories.
  Parameters:
    `sourceDirs` - the testsource directory to be added

### projectTestSourceDirs

    void projectTestSourceDirs(java.io.File sourceDirs)

  Adds the specified directories to the set of project test source directories.
  Parameters:
    `sourceDirs` - the test source directories to be added

Groovy Documentation